Retrieves detailed information about a GPU instance including SSH connection details, vault mount scripts, real-time cost tracking, and current status. SSH private key included for secure access.
curl --request GET \
--url https://api.case.dev/compute/v1/instances/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"ip": "<string>",
"instanceType": "<string>",
"region": "<string>",
"pricePerHour": "<string>",
"gpu": "<string>",
"specs": {},
"autoShutdownMinutes": 123,
"startedAt": "<string>",
"currentRuntimeSeconds": 123,
"currentCost": "<string>",
"createdAt": "<string>",
"ssh": {
"host": "<string>",
"user": "<string>",
"command": "<string>",
"privateKey": "<string>",
"instructions": "<array>"
},
"vaultMounts": {}
}API key starting with sk_case_
Instance ID
Instance details retrieved
Was this page helpful?
curl --request GET \
--url https://api.case.dev/compute/v1/instances/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"ip": "<string>",
"instanceType": "<string>",
"region": "<string>",
"pricePerHour": "<string>",
"gpu": "<string>",
"specs": {},
"autoShutdownMinutes": 123,
"startedAt": "<string>",
"currentRuntimeSeconds": 123,
"currentCost": "<string>",
"createdAt": "<string>",
"ssh": {
"host": "<string>",
"user": "<string>",
"command": "<string>",
"privateKey": "<string>",
"instructions": "<array>"
},
"vaultMounts": {}
}